Loading...
Searching...
No Matches
juce::PopupMenu::CustomCallback Class Referenceabstract

## Detailed Description

A user-defined callback that can be used for specific items in a popup menu.

See also
  PopupMenu::Item::customCallback

The documentation for this class was generated from the following file:

- juce_gui_basics/menus/juce_PopupMenu.h

Inheritance diagram for juce::PopupMenu::CustomCallback:

## Public Member Functions

| CustomCallback ()
| ~CustomCallback () override
virtual bool | menuItemTriggered ()=0
| Callback to indicate this item has been triggered.
Public Member Functions inherited from juce::SingleThreadedReferenceCountedObject
void | incReferenceCount () noexcept
| Increments the object's reference count.
void | decReferenceCount () noexcept
| Decreases the object's reference count.
bool | decReferenceCountWithoutDeleting () noexcept
| Decreases the object's reference count.
int | getReferenceCount () const noexcept
| Returns the object's current reference count.

## Additional Inherited Members

Protected Member Functions inherited from juce::SingleThreadedReferenceCountedObject
| SingleThreadedReferenceCountedObject ()=default
| Creates the reference-counted object (with an initial ref count of zero).
| SingleThreadedReferenceCountedObject (const SingleThreadedReferenceCountedObject &)
| Copying from another object does not affect this one's reference-count.
| SingleThreadedReferenceCountedObject (SingleThreadedReferenceCountedObject &&)
| Copying from another object does not affect this one's reference-count.
SingleThreadedReferenceCountedObject & | operator= (const SingleThreadedReferenceCountedObject &)
| Copying from another object does not affect this one's reference-count.
SingleThreadedReferenceCountedObject & | operator= (SingleThreadedReferenceCountedObject &&)
| Copying from another object does not affect this one's reference-count.
virtual | ~SingleThreadedReferenceCountedObject ()
| Destructor.

## Constructors and Destructors

## CustomCallback()

juce::PopupMenu::CustomCallback::CustomCallback | ( |  | ) |

Referenced by menuItemTriggered().

## ~CustomCallback()

juce::PopupMenu::CustomCallback::~CustomCallback | ( |  | ) |

override

## Member Functions

## menuItemTriggered()

virtual bool juce::PopupMenu::CustomCallback::menuItemTriggered | ( |  | ) |

pure virtual

Callback to indicate this item has been triggered.

Returns
  true if the itemID should be sent to the exitModalState method, or false if it should send 0, indicating no further action should be taken

References CustomCallback().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited